Package org.apache.lucene.queryparser.flexible.standard.processors

## Class StandardQueryNodeProcessorPipeline

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorPipeline
  - - org.apache.lucene.queryparser.flexible.standard.processors.StandardQueryNodeProcessorPipeline

- All Implemented Interfaces:
    `Iterable<QueryNodeProcessor>`, `Collection<QueryNodeProcessor>`, `List<QueryNodeProcessor>`, `QueryNodeProcessor`
  Direct Known Subclasses:
    `PrecedenceQueryNodeProcessorPipeline`

      public class StandardQueryNodeProcessorPipeline
      extends QueryNodeProcessorPipeline

  This pipeline has all the processors needed to process a query node tree, generated by `StandardSyntaxParser`, already assembled.
  The order they are assembled affects the results.
  This processor pipeline was designed to work with `StandardQueryConfigHandler`.
  The result query node tree can be used to build a `Query` object using `StandardQueryTreeBuilder`.
  See Also:
    `StandardQueryTreeBuilder`, `StandardQueryConfigHandler`, `StandardSyntaxParser`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardQueryNodeProcessorPipeline​(QueryConfigHandler queryConfig)` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.processors.QueryNodeProcessorPipeline

      `add, add, addAll, addAll, clear, contains, containsAll, get, getQueryConfigHandler, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, process, remove, remove, removeAll, retainAll, set, setQueryConfigHandler, size, subList, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `equals, hashCode, replaceAll, sort, spliterator`

- - ### Constructor Detail

    - #### StandardQueryNodeProcessorPipeline

          public StandardQueryNodeProcessorPipeline​(QueryConfigHandler queryConfig)